Bug 1707734 - fc-validate should return non-zero value when missing glyph for language coverage
Summary: fc-validate should return non-zero value when missing glyph for language cove...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-08 08:33 UTC by Peng Wu
Modified: 2019-09-21 01:42 UTC (History)
13 users (show)

Fixed In Version: fontconfig-2.13.1-8.fc30 fontconfig-2.13.1-9.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 00:54:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Peng Wu 2019-05-08 08:33:24 UTC
Description of problem:
When use fc-validate to check missing glyph for language coverage,
if some glyphs are missing, fc-validate still returns zero value.


Version-Release number of selected component (if applicable):
fontconfig-2.13.1-3.fc29.x86_64


How reproducible:
Run fc-validate -l zh_cn /usr/share/fonts/google-noto-cjk/NotoSansCJK-Regular.ttc
and fc-validate -l th /usr/share/fonts/google-noto-cjk/NotoSansCJK-Regular.ttc

Steps to Reproduce:
1. run fc-validate against some fonts which missing glyph coverage


Actual results:
fc-validate returns zero value.

Expected results:
fc-validate returns non-zero value if any font face missing glyph coverage.

Additional info:

Comment 1 Akira TAGOH 2019-05-09 04:54:58 UTC
Please file an issue to upstream too.

Comment 2 Peng Wu 2019-05-09 06:04:17 UTC
Report upstream issue: https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/154

Comment 3 Fedora Update System 2019-06-12 07:56:02 UTC
FEDORA-2019-37faa13746 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-37faa13746

Comment 4 Fedora Update System 2019-06-13 00:55:52 UTC
fontconfig-2.13.1-8.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-34938a6af5

Comment 5 Fedora Update System 2019-06-13 02:31:04 UTC
fontconfig-2.13.1-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-37faa13746

Comment 6 Fedora Update System 2019-06-14 00:54:38 UTC
fontconfig-2.13.1-8.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-09-06 11:07:55 UTC
FEDORA-2019-b77a07a0f1 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b77a07a0f1

Comment 8 Fedora Update System 2019-09-06 13:21:56 UTC
fontconfig-2.13.1-9.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b77a07a0f1

Comment 9 Fedora Update System 2019-09-21 01:42:24 UTC
fontconfig-2.13.1-9.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.